POST /blueprintactions/connect/oauth

Connect OAuth provider to blueprint action

Connect OAuth provider to blueprint action
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
codeoptionalstring
"INVALID_TYPE"
guidoptionalstring
'a23575f49d0af385314c1f02280163374297e018a692e5e...'
typeoptionalstring
"totp"
{
  "accepted": true
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
403INSUFFICIENT_PERMISSIONSInsufficient permissions for this operation
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprintactions_updateRequired scope: blueprintactions_update

Back to Blueprint Actions Return to the Blueprint Actions category to view other endpoints All API Categories Browse all available API categories